#pragma once

#include "CoreMinimal.h"
#include "IntegerValueStrategy.h"
#include "PerkTierIntegerValueStrategy.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDCOMPETENCE_API UPerkTierIntegerValueStrategy : public UIntegerValueStrategy
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, Instanced)
	UIntegerValueStrategy* _value;

public:
	UPerkTierIntegerValueStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UPerkTierIntegerValueStrategy) { return 0; }
